license_plate_api_australia
=====================

A Dart package for looking up technical details on vehicles registered in the Australia by their license plate 

`license_plate_api_australia` provides a simple way to find vehicle details from a license plate 
of a car registered in Australia

This requires a username and password, which is available for free from http://www.carregistrationapi.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_australia/license_plate_api_australia.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *PLATE* *STATE* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://www.carregistrationapi.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2],arguments[3]);
  print('Description: ${vehicle['Description']}');
  print('VIN: ${vehicle['VechileIdentificationNumber']}');
}
```

which produces the following:

```shell script
Description: 2004 Dodge Durango Limited
VIN: 1D8HB58D04F177301
```

## Features and bugs

Please file feature requests and bugs via the website http://www.carregistrationapi.com/

